#include "Arduino.h"
#include "rgb.h"

void rgb::set(char r, char g, char b)
{
  pinMode(R, OUTPUT);
  pinMode(G, OUTPUT);
  pinMode(B, OUTPUT);

  analogWrite(R, r);
  analogWrite(G, g);
  analogWrite(B, b);
}

void rgb::set(char c)
{
  pinMode(R, OUTPUT);
  pinMode(G, OUTPUT);
  pinMode(B, OUTPUT);

  switch(c)
  {
    case 1:
      digitalWrite(R, LOW);
      digitalWrite(G, HIGH);
      digitalWrite(B, HIGH);
      break;
    case 2:
      digitalWrite(R, HIGH);
      digitalWrite(G, LOW);
      digitalWrite(B, HIGH);
      break;
    case 3:
      digitalWrite(R, HIGH);
      digitalWrite(G, HIGH);
      digitalWrite(B, LOW);
      break;
    case 4:
      digitalWrite(R, LOW);
      digitalWrite(G, LOW);
      digitalWrite(B, HIGH);
      break;
    case 5:
      digitalWrite(R, LOW);
      digitalWrite(G, HIGH);
      digitalWrite(B, LOW);
      break;
    case 6:
      digitalWrite(R, HIGH);
      digitalWrite(G, LOW);
      digitalWrite(B, LOW);
      break;
    case 7:
      digitalWrite(R, LOW);
      digitalWrite(G, LOW);
      digitalWrite(B, LOW);
      break;
    default:
      digitalWrite(R, HIGH);
      digitalWrite(G, HIGH);
      digitalWrite(B, HIGH);
      break;
  }
}
