#include "Arduino.h"
#include "ram.h"

int ram::write(int address, int i)
{
  Wire.begin();
  
  byte low = i;
  byte high = i >> 8;
  
  Wire.beginTransmission(0x68);
  Wire.write(address+8);
  Wire.write(low);
  Wire.write(address+2*8);
  Wire.write(high);
  Wire.endTransmission();

  return 2;
}

int ram::read(int address)
{
  Wire.begin();
  
  byte low;
  byte high;
  
  Wire.beginTransmission(0x68);
  Wire.write(address+8);
  Wire.endTransmission();
  Wire.requestFrom(0x68, 2);
  
  low = Wire.read();
  high = Wire.read();
  
  int i = low | high << 8;
  return i;
}
