#include "Arduino.h"
#include "temp.h"

double temp::k ()
{
   pinMode(A1, INPUT); // nastavi input termistoru
   double tmp; // pomocna promenna pro prepocet
   tmp = log(6800.0*((1024.0/analogRead(A1)-1))); 
   tmp = 1 / (0.001129148 + (0.000234125 + (0.0000000876741 * tmp * tmp ))* tmp );
   return tmp;
}

double temp::c ()
{
  return k() - 273.15; // konvert z kelvinu na C
}

double temp::f ()
{
  return k()*9/5 - 459.67; // konvert z kelvinu na F
}
